*
* Generic pentode model: 829B
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:56 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 829B A G2 G1 K
.param GG  {(V(G1,K)+-0.31275554)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.031067512*EG2)^-0.44774132)}
.param M2  {((0.7701228*URAMP(GG+EG2/7.3992794))^1.9477413)}
.param P   {(0.0023834096*URAMP(GG+EG2/9.6079215)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0013870937*M1*M2)}
.param IG  {(0.0013863621*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.87139424*(1-EP/(EP+10))^1.5+0.12860576))}
.param IK3 {(IK2*(EP+2800)/(EG2+2800))}
.param IK4 {(IK3-URAMP(IK3-(0.0016211493*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0016211493*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.12p
CGK G1 K  8.6p
C12 G1 G2 5.8p
CAK A  K  6.9p
.ENDS
